package com.jwipc.sys.convert;

import com.jwipc.sys.dto.MenuTreeDTO;
import com.jwipc.sys.dto.TreeDateDTO;
import com.jwipc.sys.entity.Resources;
import com.jwipc.sys.model.po.MenuTreePO;
import com.jwipc.sys.model.po.TreeDatePO;
import org.mapstruct.Mapper;

import java.util.List;


@Mapper(componentModel = "spring")
public interface ResourceConvertConvert {
    MenuTreeDTO entity2DTO(Resources resources);
    List<MenuTreeDTO> treePO2TreeDTO(List<MenuTreePO> mps);
    List<TreeDateDTO> treePO2TreeDTO1(List<TreeDatePO> mps);

    Resources dto2entity(MenuTreeDTO param);
}
